patch
https://gateway.stage.bill.com/connect/v3/vendors/
Update details about an existing vendor.
Requirements for enabling vendor payments
Vendor address details are required for paying a vendor by check or for inviting the vendor to join the BILL network.
line1citystateOrProvincezipOrPostalCodecountrypayeeName
Address state/province rules for international vendors
The address.stateOrProvince field enforces strict validation for the US,
Canada, and Australia:
- United States (US): 2-character state code (for example,
CA,NY). - Canada (CA): 2-character province code (for example,
AB,BC,ON). - Australia (AU): 2 or 3-character state code (for example,
WA,NT,ACT,NSW,QLD). - All other countries: Free text. Enter the full state or province
name (for example,Île-de-FranceorBavaria).
Sending a full state or province name for US, Canadian, or Australian addresses returns a 400 Bad Request error. See International vendor in the Guides section for more information.
Note: You cannot add or update vendor bank account information with this endpoint. You can add and manage vendor bank account information with a dedicated set of endpoints.
- Create a vendor bank account:
POST /v3/vendors/{vendorId}/bank-account - Get vendor bank account details:
GET /v3/vendors/{vendorId}/bank-account - Delete a vendor bank account:
DELETE /v3/vendors/{vendorId}/bank-account
